Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class ObjectTypeHelper

`java.lang.Object
oracle.jbo.common.ObjectTypeHelper`

All Implemented Interfaces:
  MetaObjectBase

Direct Known Subclasses:
  JUObjectTypeHelper

public class ObjectTypeHelper
extends java.lang.Object
implements MetaObjectBase

Internal: Applications should not use this class.

Field Summary
`protected ObjectTypeHelper` | `mNext`

Fields inherited from interface oracle.jbo.common.MetaObjectBase
`TYP_APP_MODULE, TYP_ATTRIBUTE, TYP_ATTRIBUTE_LIST_WITH_DEF, TYP_COMPONENT_OBJECT, TYP_DEF_ANY, TYP_DEF_APP_MODULE, TYP_DEF_ATTRIBUTE, TYP_DEF_COMPONENT_OBJECT, TYP_DEF_DOMAIN, TYP_DEF_ENTITY_ASSOC, TYP_DEF_ENTITY_OBJECT, TYP_DEF_PACKAGE, TYP_DEF_VIEW_LINK, TYP_DEF_VIEW_OBJECT, TYP_DOMAIN, TYP_ENTITY_ASSOC, TYP_ENTITY_OBJECT, TYP_ENTITY_ROW, TYP_ENTITY_ROW_SET, TYP_ENTITY_ROW_SET_ITERATOR, TYP_ENTITY_USAGE, TYP_PACKAGE, TYP_TRANSACTION, TYP_VALIDATOR_TYPE, TYP_VARIABLE, TYP_VARIABLE_WHERE_CLAUSE, TYP_VIEW_CRITERIA, TYP_VIEW_LINK, TYP_VIEW_OBJECT, TYP_VIEW_ROW, TYP_VIEW_ROW_SET, TYP_VIEW_ROW_SET_ITERATOR`

Constructor Summary
`ObjectTypeHelper()`

Method Summary
`static ObjectTypeHelper` | `getInstance()`
`protected java.lang.String` | `getInstTypeNameFromId(int id)`
`static java.lang.String` | `getTypeNameFromId(int id)`
`static void` | `setExtension(ObjectTypeHelper ext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mNext

    protected ObjectTypeHelper mNext

Constructor Detail

### ObjectTypeHelper

    public ObjectTypeHelper()

Method Detail

### getInstance

    public static ObjectTypeHelper getInstance()

### setExtension

    public static void setExtension(ObjectTypeHelper ext)

### getTypeNameFromId

    public static java.lang.String getTypeNameFromId(int id)

### getInstTypeNameFromId

    protected java.lang.String getInstTypeNameFromId(int id)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.